<template>
	<div class="business">
		<jm-box :navList='navList' @navListC='navListC'>
			<div class="abbbb">
				<about1 v-if="navChoose == 0"></about1>
				<about2 v-if="navChoose == 1"></about2>
				<about3 v-if="navChoose == 2"></about3>
				<about4 v-if="navChoose == 3"></about4>
				<about5 v-if="navChoose == 4"></about5>
				<about6 v-if="navChoose == 5"></about6>
				<about7 v-if="navChoose == 6"></about7>
			</div>
			
		</jm-box>
	</div>
</template>

<script>
import about1 from './chlid/about1.vue'
import about2 from './chlid/about2.vue'
import about3 from './chlid/about3.vue'
import about4 from './chlid/about4.vue'
import about5 from './chlid/about5.vue'
import about6 from './chlid/about6.vue'
import about7 from './chlid/about7.vue'
	
import { getArticList,getList } from '@/request/api.js'

import jmBox from '@/components/box.vue'
	export default {
		components: {
			jmBox,
			about1,
			about2,
			about3,
			about4,
			about5,
			about6,
			about7
		},
		data() {
			return {
				navChoose: 0,
				navList: {
					title: '核心业务',
					url: 'business',
					list: this.$store.state.business || []
				}
			}
		},
		mounted() {
			this.init()
		},
		methods: {
			navListC(index) {
				this.navChoose = index
			},
			init() {
				this.getdataList()
			},
			getdataList() {
				getList({},16).then(({data}) => {
					this.navList.list = data
					this.$store.commit('setBusiness',data)
				})
			},
			navListC(index) {
				this.navChoose = index
			}
		}
	}
</script>

<style lang="scss" scoped>
</style>
